Skip to content

Register card

POST
/api/v2.0/stores/{storeId}/members/{memberId}/register-card
curl --request POST \
--url https://api.diller.app/api/v2.0/stores/your-store-id/members/m_nsr714RRBEHX/register-card \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "identifier": "example", "brand": "example", "expiry_date": "example" }'

Registers a card to the member’s account.

storeId
required
string
Example
your-store-id
memberId
required
string
Example
m_nsr714RRBEHX

Information about the card to be registered

object
identifier
string
nullable
brand
string
nullable
expiry_date

Card expiration date in format “YY-MM”

string
nullable
Examplegenerated
{
"identifier": "example",
"brand": "example",
"expiry_date": "example"
}

No Content

Bad Request

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
errors
object
key
additional properties
Array<string>
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}